Package writer2latex.latex

# Class StyleConverter

java.lang.Object
writer2latex.latex.StyleConverter

Direct Known Subclasses:
  `CharStyleConverter`, `ListConverter`, `PageStyleConverter`, `ParConverter`

public abstract class StyleConverter extends Object

This is an abstract superclass for style converters.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected LaTeXDocumentPortion`
`declarations`
`protected StyleMap`
`styleMap`
`protected ExportNameCollection`
`styleNames`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### styleNames

protected ExportNameCollection styleNames

### styleMap

protected StyleMap styleMap

### declarations

protected LaTeXDocumentPortion declarations

## Constructor Details

### StyleConverter

protected StyleConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)